[android-components](../../../index.md) / [mozilla.components.browser.state.action](../../index.md) / [ContainerAction](../index.md) / [RemoveContainerAction](./index.md)

# RemoveContainerAction

`data class RemoveContainerAction : `[`ContainerAction`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/state/src/main/java/mozilla/components/browser/state/action/BrowserAction.kt#L764)

Removes all state of the removed container from [BrowserState.containers](../../../mozilla.components.browser.state.state/-browser-state/containers.md).

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `RemoveContainerAction(contextId: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`)`<br>Removes all state of the removed container from [BrowserState.containers](../../../mozilla.components.browser.state.state/-browser-state/containers.md). |

### Properties

| Name | Summary |
|---|---|
| [contextId](context-id.md) | `val contextId: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
